part of tailwind_colors;

/// TWUIColors is an older version of the TailwindUI color palette
class TWUIColors {
  /// Gray swatch and color
  static const TWColor gray = TWColor(_grayPrimaryValue, {
    50: Color(0xfff9fafb),
    100: Color(0xfff4f5f7),
    200: Color(0xffe5e7eb),
    300: Color(0xffd2d6dc),
    400: Color(0xff9fa6b2),
    500: Color(_grayPrimaryValue),
    600: Color(0xff4b5563),
    700: Color(0xff374151),
    800: Color(0xff252f3f),
    900: Color(0xff161e2e),
  });
  static const int _grayPrimaryValue = (0xff6b7280);

  /// Cool Gray swatch and color
  static const TWColor cool_gray = TWColor(_cool_grayPrimaryValue, {
    50: Color(0xfffbfdfe),
    100: Color(0xfff1f5f9),
    200: Color(0xffe2e8f0),
    300: Color(0xffcfd8e3),
    400: Color(0xff97a6ba),
    500: Color(_cool_grayPrimaryValue),
    600: Color(0xff475569),
    700: Color(0xff364152),
    800: Color(0xff27303f),
    900: Color(0xff1a202e),
  });
  static const int _cool_grayPrimaryValue = (0xff64748b);

  /// Red swatch and color
  static const TWColor red = TWColor(_redPrimaryValue, {
    50: Color(0xfffdf2f2),
    100: Color(0xfffde8e8),
    200: Color(0xfffbd5d5),
    300: Color(0xfff8b4b4),
    400: Color(0xfff98080),
    500: Color(_redPrimaryValue),
    600: Color(0xffe02424),
    700: Color(0xffc81e1e),
    800: Color(0xff9b1c1c),
    900: Color(0xff771d1d),
  });
  static const int _redPrimaryValue = (0xfff05252);

  /// Orange swatch and color
  static const TWColor orange = TWColor(_orangePrimaryValue, {
    50: Color(0xfffff8f1),
    100: Color(0xfffeecdc),
    200: Color(0xfffcd9bd),
    300: Color(0xfffdba8c),
    400: Color(0xffff8a4c),
    500: Color(_orangePrimaryValue),
    600: Color(0xffd03801),
    700: Color(0xffb43403),
    800: Color(0xff8a2c0d),
    900: Color(0xff771d1d),
  });
  static const int _orangePrimaryValue = (0xffff5a1f);

  /// Yellow swatch and color
  static const TWColor yellow = TWColor(_yellowPrimaryValue, {
    50: Color(0xfffdfdea),
    100: Color(0xfffdf6b2),
    200: Color(0xfffce96a),
    300: Color(0xfffaca15),
    400: Color(0xffe3a008),
    500: Color(_yellowPrimaryValue),
    600: Color(0xff9f580a),
    700: Color(0xff8e4b10),
    800: Color(0xff723b13),
    900: Color(0xff633112),
  });
  static const int _yellowPrimaryValue = (0xffc27803);

  /// Green swatch and color
  static const TWColor green = TWColor(_greenPrimaryValue, {
    50: Color(0xfff3faf7),
    100: Color(0xffdef7ec),
    200: Color(0xffbcf0da),
    300: Color(0xff84e1bc),
    400: Color(0xff31c48d),
    500: Color(_greenPrimaryValue),
    600: Color(0xff057a55),
    700: Color(0xff046c4e),
    800: Color(0xff03543f),
    900: Color(0xff014737),
  });
  static const int _greenPrimaryValue = (0xff0e9f6e);

  /// Teal swatch and color
  static const TWColor teal = TWColor(_tealPrimaryValue, {
    50: Color(0xffedfafa),
    100: Color(0xffd5f5f6),
    200: Color(0xffafecef),
    300: Color(0xff7edce2),
    400: Color(0xff16bdca),
    500: Color(_tealPrimaryValue),
    600: Color(0xff047481),
    700: Color(0xff036672),
    800: Color(0xff05505c),
    900: Color(0xff014451),
  });
  static const int _tealPrimaryValue = (0xff0694a2);

  /// Blue swatch and color
  static const TWColor blue = TWColor(_bluePrimaryValue, {
    50: Color(0xffebf5ff),
    100: Color(0xffe1effe),
    200: Color(0xffc3ddfd),
    300: Color(0xffa4cafe),
    400: Color(0xff76a9fa),
    500: Color(_bluePrimaryValue),
    600: Color(0xff1c64f2),
    700: Color(0xff1a56db),
    800: Color(0xff1e429f),
    900: Color(0xff233876),
  });
  static const int _bluePrimaryValue = 0xff3f83f8;

  /// Indigo swatch and color
  static const TWColor indigo = TWColor(_indigoPrimaryValue, {
    50: Color(0xfff0f5ff),
    100: Color(0xffe5edff),
    200: Color(0xffcddbfe),
    300: Color(0xffb4c6fc),
    400: Color(0xff8da2fb),
    500: Color(_indigoPrimaryValue),
    600: Color(0xff5850ec),
    700: Color(0xff5145cd),
    800: Color(0xff42389d),
    900: Color(0xff362f78),
  });
  static const int _indigoPrimaryValue = 0xff6875f5;

  /// Purple swatch and color
  static const TWColor purple = TWColor(_purplePrimaryValue, {
    50: Color(0xfff6f5ff),
    100: Color(0xffedebfe),
    200: Color(0xffdcd7fe),
    300: Color(0xffcabffd),
    400: Color(0xffac94fa),
    500: Color(_purplePrimaryValue),
    600: Color(0xff7e3af2),
    700: Color(0xff6c2bd9),
    800: Color(0xff5521b5),
    900: Color(0xff4a1d96),
  });
  static const int _purplePrimaryValue = 0xff9061f9;

  /// The pink color and swatch.
  /// {@tool snippet}
  ///
  /// ```dart
  /// Icon(
  ///   Icons.widgets,
  ///   color: TWUIColors.pink.shade400,
  /// )
  /// ```
  /// {@end-tool}
  static const TWColor pink = TWColor(_pinkPrimaryValue, {
    50: Color(0xfffdf2f8),
    100: Color(0xfffce8f3),
    200: Color(0xfffad1e8),
    300: Color(0xfff8b4d9),
    400: Color(0xfff17eb8),
    500: Color(_pinkPrimaryValue),
    600: Color(0xffd61f69),
    700: Color(0xffbf125d),
    800: Color(0xff99154b),
    900: Color(0xff751a3d),
  });
  static const int _pinkPrimaryValue = 0xffe74694;
}
